package com.huimv.apiservice.entity.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 室内环境vo
 * </p>
 *
 * @author yinhao
 * @date 2021/6/11 14:31
 */
@Data
public class IndoorEnvironmentVo implements Serializable {
    private static final long serialVersionUID = -2366116041687966836L;

    /**
     * id
     */
    @TableId
    private Integer id;
    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date date;
    /**
     * 牧场id
     */
    private Integer farmId;
    /**
     * 牧场名称
     */
    private String farmName;
    /**
     * 豬舍id
     */
    private Integer pigstyId;
    /**
     * 猪舍名称
     */
    private String pigstyName;
    /**
     * 温度
     */
    private Double temperature;
    /**
     * 湿度
     */
    private Double humidity;
    /**
     * 气体
     */
    private String airQuality;
    /**
     * 采集时间
     */
    private Date collectTime;

//    /**
//     * 异常状态 0.正常 1.异常
//     */
//    private Boolean abnormalStatus;
//    /**
//     * 删除状态 0正常 其他:已删除
//     */
//    @TableLogic
//    private Integer deleted;
//    /**
//     * 创建时间
//     */
//    @TableField(fill = FieldFill.INSERT)
//    private Date gmtCreate;
//    /**
//     * 修改时间
//     */
//    @TableField(fill = FieldFill.INSERT_UPDATE)
//    private Date gmtModified;
}
