package com.huimv.datacollection.service;

import com.huimv.datacollection.entity.IndoorEnvironmentEntity;

import java.util.Map;

/**
 * <p>
 * 数据包处理service
 * </p>
 *
 * @author yinhao
 * @date 2021/7/7 17:30
 */
public interface HandleDataPackageService {

    /**
     * 温度处理
     *
     * @param indoorEnvironmentEntity
     * @param value
     * @param farmId
     * @param pigstyId
     * @param map
     */
    void handleTemperature(IndoorEnvironmentEntity indoorEnvironmentEntity, Double value, Integer farmId, Integer pigstyId, Map<String, Double> map);

    /**
     * 湿度处理
     * @param indoorEnvironmentEntity
     * @param value
     * @param farmId
     * @param pigstyId
     * @param map
     */
    void handleHumidity(IndoorEnvironmentEntity indoorEnvironmentEntity, double value, Integer farmId, Integer pigstyId, Map<String, Double> map);

    /**
     * 氨气处理
     * @param indoorEnvironmentEntity
     * @param value
     * @param farmId
     * @param pigstyId
     * @param map
     */
    void handleGas(IndoorEnvironmentEntity indoorEnvironmentEntity, double value, Integer farmId, Integer pigstyId, Map<String, Double> map);
}
