package com.huimv.management.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 饮用水指标vo
 * </p>
 *
 * @author yinhao
 * @date 2021/6/11 16:32
 */
@Data
public class DrinkingWaterVo implements Serializable {
    private static final long serialVersionUID = -2504528285198898816L;

    /**
     * 主键
     */
    private String id;
    /**
     * 当前日期
     */
    @Excel(name = "日期",width = 15,format = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GTM+8")
    private Date date;
    /**
     * 牧场id
     */
    @Excel(name = "牧场id")
    private Integer farmId;
    /**
     * 牧场名称
     */
    @Excel(name = "牧场名称",width = 15)
    private String farmName;
    /**
     * 豬舍id
     */
    @Excel(name = "猪舍id")
    private Integer pigstyId;
    /**
     * 猪舍名称
     */
    @Excel(name = "猪舍名称",width = 15)
    private String pigstyName;
    /**
     * 饮用水质量
     */
    @Excel(name = "饮用水质量",width = 15)
    private String drinkingWaterQuality;
    /**
     * 采集时间
     */
    @Excel(name = "采集时间",width = 20,format = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;
}
